Bug 1056545 - [abrt] gdesklets: handle_error(): python2.7 killed by SIGTRAP
Summary: [abrt] gdesklets: handle_error(): python2.7 killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:04692fea2beacdbe65e4d6c5419...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 12:41 UTC by mkwadee
Modified: 2015-02-17 19:55 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:55:26 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (59.31 KB, text/plain)
2014-01-22 12:41 UTC, mkwadee
no flags Details
File: cgroup (154 bytes, text/plain)
2014-01-22 12:41 UTC, mkwadee
no flags Details
File: core_backtrace (12.91 KB, text/plain)
2014-01-22 12:41 UTC, mkwadee
no flags Details
File: dso_list (12.50 KB, text/plain)
2014-01-22 12:41 UTC, mkwadee
no flags Details
File: environ (2.70 KB, text/plain)
2014-01-22 12:41 UTC, mkwadee
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-22 12:41 UTC, mkwadee
no flags Details
File: maps (72.77 KB, text/plain)
2014-01-22 12:41 UTC, mkwadee
no flags Details
File: open_fds (1.18 KB, text/plain)
2014-01-22 12:41 UTC, mkwadee
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2014-01-22 12:41 UTC, mkwadee
no flags Details

Description mkwadee 2014-01-22 12:41:17 UTC
Description of problem:
Logged out and logged back in after a long session with Matlab.

Version-Release number of selected component:
gdesklets-0.36.3-11.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        python /usr/lib64/gdesklets/gdesklets-daemon
crash_function: handle_error
executable:     /usr/bin/python2.7
kernel:         3.12.8-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Jan 22 11:50:53 arnold abrt-hook-ccpp[11391]: Saved core dump of pid 3948 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2014-01-22-11:50:34-3948 (45260800 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #7 XGetWindowProperty at GetProp.c:69
 #8 gdk_property_get at gdkproperty-x11.c:593
 #9 _wrap_gdk_property_get at gdkwindow.override:139
 #10 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4098
 #11 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #12 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
 #13 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119
 #14 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740

Comment 1 mkwadee 2014-01-22 12:41:22 UTC
Created attachment 853844 [details]
File: backtrace

Comment 2 mkwadee 2014-01-22 12:41:24 UTC
Created attachment 853845 [details]
File: cgroup

Comment 3 mkwadee 2014-01-22 12:41:26 UTC
Created attachment 853846 [details]
File: core_backtrace

Comment 4 mkwadee 2014-01-22 12:41:28 UTC
Created attachment 853847 [details]
File: dso_list

Comment 5 mkwadee 2014-01-22 12:41:30 UTC
Created attachment 853848 [details]
File: environ

Comment 6 mkwadee 2014-01-22 12:41:33 UTC
Created attachment 853849 [details]
File: limits

Comment 7 mkwadee 2014-01-22 12:41:35 UTC
Created attachment 853850 [details]
File: maps

Comment 8 mkwadee 2014-01-22 12:41:38 UTC
Created attachment 853851 [details]
File: open_fds

Comment 9 mkwadee 2014-01-22 12:41:40 UTC
Created attachment 853852 [details]
File: proc_pid_status

Comment 10 mkwadee 2014-07-04 16:48:46 UTC
Another user experienced a similar problem:

Logged out and logged back in using standard logout button on KDE.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        python /usr/lib64/gdesklets/gdesklets-daemon
crash_function: handle_error
executable:     /usr/bin/python2.7
kernel:         3.14.8-100.fc19.x86_64
package:        gdesklets-0.36.3-11.fc19
reason:         python2.7 killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 11 Luya Tshimbalanga 2014-07-07 19:13:57 UTC
It looks like a issue related to python 2.7 and gdk according to the backtrace. Reassigning to the proper maintainer.

Comment 12 Fedora End Of Life 2015-01-09 21:08:07 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-02-17 19:55:26 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.